Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# OnigErrorInfo Struct Reference

`#include <oniguruma.h>`

## Data Fields
OnigEncoding | enc
OnigUChar * | par
OnigUChar * | par_end

## Detailed Description

Definition at line 598 of file oniguruma.h.

## Field Documentation

OnigEncoding OnigErrorInfo::enc

Definition at line 599 of file oniguruma.h.

Referenced by onig_compile(), and onig_error_code_to_str().

OnigUChar* OnigErrorInfo::par

Definition at line 600 of file oniguruma.h.

Referenced by onig_compile(), and onig_error_code_to_str().

OnigUChar* OnigErrorInfo::par_end

Definition at line 601 of file oniguruma.h.

Referenced by onig_compile(), and onig_error_code_to_str().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h